# Remove local changes in a repository.
[Client working copy management]

## Functions
svn_error_t * | svn_client_revert2 (const apr_array_header_t *paths, svn_depth_t depth, const apr_array_header_t *changelists, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Restore the pristine version of a working copy paths, effectively undoing any local mods.
svn_error_t * | svn_client_revert (const apr_array_header_t *paths, svn_boolean_t recursive, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Similar to svn_client_revert2(), but with changelists passed as `NULL`, and depth set according to recurse: if recurse is TRUE, depth is svn_depth_infinity, else if recurse is FALSE, depth is svn_depth_empty.

## Function Documentation

svn_error_t* svn_client_revert | ( | const apr_array_header_t * | paths,
|  | svn_boolean_t | recursive,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool |
| ) |  |  |

Similar to svn_client_revert2(), but with changelists passed as `NULL`, and depth set according to recurse: if recurse is TRUE, depth is svn_depth_infinity, else if recurse is FALSE, depth is svn_depth_empty.

Note:
  Most APIs map recurse==FALSE to depth==svn_depth_files; revert is deliberately different.

Deprecated:
  Provided for backwards compatibility with the 1.0 API.

svn_error_t* svn_client_revert2 | ( | const apr_array_header_t * | paths,
|  | svn_depth_t | depth,
|  | const apr_array_header_t * | changelists,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool |
| ) |  |  |

Restore the pristine version of a working copy paths, effectively undoing any local mods.

For each path in paths, revert it if it is a file. Else if it is a directory, revert according to depth:

If depth is svn_depth_empty, revert just the properties on the directory; else if svn_depth_files, revert the properties and any files immediately under the directory; else if svn_depth_immediates, revert all of the preceding plus properties on immediate subdirectories; else if svn_depth_infinity, revert path and everything under it fully recursively.

changelists is an array of `const char *` changelist names, used as a restrictive filter on items reverted; that is, don't revert any item unless it's a member of one of those changelists. If changelists is empty (or altogether `NULL`), no changelist filtering occurs.

If ctx->notify_func2 is non-NULL, then for each item reverted, call ctx->notify_func2 with ctx->notify_baton2 and the path of the reverted item.

If an item specified for reversion is not under version control, then do not error, just invoke ctx->notify_func2 with ctx->notify_baton2, using notification code svn_wc_notify_skip.

Since:
  New in 1.5.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines